メインコンテンツまでスキップ

コンパクション状態を取得します (V2)

この操作は、指定した collection の最新の compaction タスクの状態を取得します。

POST/v2/vectordb/collections/get_compaction_state
接続エンドポイント

https://${CLUSTER_ENDPOINT}

📘ノート
  • ${CLUSTER_ENDPOINT} を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。
  • エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API key または username:password のようにコロンで連結した username と password の組み合わせである必要があります。project endpoint を使用している場合は、十分な権限を持つ有効な API key のみ使用できます。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ
jobIDinteger

compaction ジョブの ID。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/get_compaction_state" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobID": "xxxxxxxxxxxxxxxxxxxxxx"
}'
レスポンス

compaction タスクの状態を返します。

codeinteger

レスポンスコード。

dataobject
compactionIDstring

compaction タスクの ID。

statestring

compaction タスクの状態。

executingPlanNumbernumber

実行中のプラン数。

timeoutPlanNumbernumber

タイムアウトしたプラン数。

completedPlanNumbernumber

完了したプラン数。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"compactionID": "xxxxxxxxxxxxxxxxxxxxxx",
"state": "Completed",
"executingPlanNumber": 0,
"timeoutPlanNumber": 0,
"completedPlanNumber": 5
}
}